#ifndef GLOBAL_VARS_H_
#define GLOBAL_VARS_H_

#include <stdio.h>
#include <wchar.h>

#define TOKEN_MAX 500

extern FILE *source, *target;

struct token_s {
    const char* type;
    wint_t value[50];
};
extern struct token_s token[TOKEN_MAX];

extern wint_t c;
extern wint_t tokenValue[50];

extern unsigned int tokenFound;
extern enum TokenType {
    MOTCLE,
    SECTION,
    SSECTION,
    NPARA,
    MOT,
    FIN
} tokenType;
extern const char* tokenTypestr[];

#endif /* GLOBAL_VARS_H_ */
